<!--
Thanks for submitting a pull request!

Please make sure you've read and understood our contributing guidelines;
https://github.com/patilshreyas/Capturable/blob/master/CONTRIBUTING.md

If this is a bug fix, make sure your description includes "fixes #xxxx", or
"closes #xxxx", where #xxxx is the issue number.

Please provide enough information so that others can review your pull request.
The first three fields are mandatory:
-->

# Summary

<!--
Explain the **motivation** for making this change.
What existing problem does the pull request solve?
-->

## Checklist

<!--
The current CI workflow will validate code level changes. 
Make sure that `./gradlew spotlessCheck` is passing before raising a PR. If build is failing at linting then just 
execute `./gradlew spotlessApply` which will reformat code according to our code standards.
Other than this, it's encouraged if you pay attention to the below checklist.
-->

- [ ] Build and linting is passing.
- [ ] This change is not breaking existing flow of a system.
- [ ] I have written test case for this change.
- [ ] This change is tested from all aspects.
- [ ] Implemented any new third-party library _(Which not existed before this change)_.
